package pl.edu.s3996.zad1.writer;

import pl.edu.s3996.zad1.Shared;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.IntBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;

public class Writer {
    public static void main(String args[]) {
        try {
            RandomAccessFile file = new RandomAccessFile(Shared.FileName, "rw");
            FileChannel channel = file.getChannel();

            MappedByteBuffer buf = channel.map(FileChannel.MapMode.READ_WRITE, 0, Shared.Number_Of_Integers * 4);

            IntBuffer intBuffer = buf.asIntBuffer();

            for (int i = 0; i < Shared.Number_Of_Integers; i++) {
                int randomInt = Math.abs(Shared.Randomizer.nextInt(25));
                System.out.println("Random integer generated : " + randomInt);
                intBuffer.put(randomInt);
            }

            buf.force();
            channel.close();

        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
