package pl.edu.s3996.zad4;

import java.io.Serializable;

/**
 * Created by Adam on 2014-06-02.
 */
public class AddCommand extends CommandImpl implements Serializable {
    public void execute() {
        clearResult();
        String param1 = (String) getParameter("param1");
        String param2 = (String) getParameter("param2");
        if (param1 == null || param2 == null) {
            setStatusCode(1);
            return;
        }

        Integer param1Value;
        Integer param2Value;

        try
        {
            param1Value = Integer.parseInt(param1);
            param2Value = Integer.parseInt(param2);
            addResult(new Object[]{param1Value + param2Value});
        }
        catch (NumberFormatException e)
        {
            setStatusCode(1);
        }
    }
}


