package pl.edu.pjwstk.s3996.zad8;

import java.rmi.AlreadyBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class SimleServer
{
    public static void main (String[] args) throws RemoteException {
        SimpleRmiImpl impl = new SimpleRmiImpl();

        Registry registry = LocateRegistry.createRegistry(Shared.RMI_PORT);
        try {
            registry.bind(Shared.RMI_ID, impl);
            System.out.println("Server started!");
        } catch (AlreadyBoundException e) {
            e.printStackTrace();
        }
    }

}
