package pl.edu.pjwstk.s3996.zad8;

import java.rmi.NotBoundException;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class SimpleClient {
    public static void main(String[] args)
    {
        try {
            Registry registry = LocateRegistry.getRegistry("localhost", Shared.RMI_PORT);
            ISimpleRmi remote = (ISimpleRmi)registry.lookup(Shared.RMI_ID);
            System.out.println("RMI initialized");

            String echoResult = remote.echo("RmiTest");
            System.out.println(echoResult);

            int addResult = remote.add(5,6);
            System.out.println("Remote result " + addResult);

        } catch (RemoteException e) {
            e.printStackTrace();
        } catch (NotBoundException e) {
            e.printStackTrace();
        }
    }
}
