package pl.edu.s3996.zad1.reader;

import pl.edu.s3996.zad1.Shared;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.IntBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;

public class Reader {
    public static void main(String args[]) {
        try {
            RandomAccessFile file = new RandomAccessFile(Shared.FileName, "r");
            FileChannel channel = file.getChannel();

            MappedByteBuffer buf = channel.map(FileChannel.MapMode.READ_ONLY, 0, (int) channel.size());

            IntBuffer intBuffer = buf.asIntBuffer();

            int sum = 0;
            while (intBuffer.hasRemaining()) {
                int num = intBuffer.get();
                System.out.println("Number: " + num);
                sum += num;
            }

            System.out.println("Suma = " + sum);

            channel.close();

        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
